Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000675KdenliveUser Interfacepublic2009-02-14 18:162009-07-01 21:55
Reporterjdobry 
Assigned Toadministrator 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.2 
Target Version0.7.5Fixed in Version0.7.5 
Summary0000675: "Edit Clip" -> "Advanced" -> "Force pixel aspect ratio" ignore numbers after decimal point
Description"Edit Clip" -> "Advanced" -> "Force pixel aspect ratio" setting ignore any values after decimal point

It mean that only whole number 1.00 2.00 3.00 etc have expected result.
For this setting if we set 1.99 it have same result as 1.00 (look like unwanted conversion to integer)

First idea whas dependency to locales (Czech have decimal comma, not decimal point) but I can reproduce it with USA-English locales and decimal point.
Additional Informationkdenlive 0.7.2.1 from ubuntu repository "deb http://ppa.launchpad.net/baudm/ubuntu [^] intrepid main"

Ubuntu intrepid (GNOME desktop, KDE lib 4.1.3)
TagsNo tags attached.
Build/Install Method3rd party package
Attached Files

- Relationships

-  Notes
(0002424)
jdobry (reporter)
2009-02-14 18:34

I found possible workarround for this bug:

1. Change aspect ratio to any values (kdenlive will ignore part after decimal point)
2. save project
3. close application
   note: project file contain correct value for example: force_aspect_ratio="1.45"
4. start kdenlive again
5. reload project and yippee: kdnelive follow your ratio

This workarround does not mean that bug is not real. It is real.
(0002426)
jdobry (reporter)
2009-02-15 01:32

When locale is switched to Czech, kdenlive save strange XML.
Every changed numbers have local format (ex 1,450000) and SW is not abble read it back correct.
When I change locale to USA/EN it look good na save correct numbers have correct format (1.450000).

It may be same problem or not.
(0003476)
administrator (administrator)
2009-06-26 00:53

The aspect ratio bug was fixed sometimes ago

- Issue History
Date Modified Username Field Change
2009-02-14 18:16 jdobry New Issue
2009-02-14 18:16 jdobry Build/Install Method => 3rd party package
2009-02-14 18:34 jdobry Note Added: 0002424
2009-02-15 01:32 jdobry Note Added: 0002426
2009-06-26 00:53 administrator Note Added: 0003476
2009-06-26 00:53 administrator Status new => resolved
2009-06-26 00:53 administrator Fixed in Version => Recent git
2009-06-26 00:53 administrator Resolution open => fixed
2009-06-26 00:53 administrator Assigned To => administrator
2009-06-26 21:07 administrator Target Version => 0.7.5
2009-07-01 20:02 j-b-m Fixed in Version Recent git => 0.7.5
2009-07-01 21:55 xzhayon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker